# Created by pyp2rpm-3.3.10
%global pypi_name numba
%global pypi_version 0.58.1

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        1%{?dist}
Summary:        compiling Python code using LLVM

License:        BSD
URL:            https://numba.pydata.org
Source0:        %{pypi_source}

BuildRequires:  python3-devel
BuildRequires:  python3dist(importlib-metadata)
BuildRequires:  python3dist(llvmlite) >= 0.41
BuildRequires:  python3dist(numpy) >= 1.22
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(sphinx)
BuildRequires:  tbb-devel >= 2021.11.0

%description
Numba is an open source, NumPy-aware optimizing compiler for Python sponsored by 
It uses the LLVM compiler project to generate machine code from Python syntax.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(importlib-metadata)
Requires:       python3dist(llvmlite) >= 0.41
Requires:       python3dist(numpy) >= 1.22
%description -n python3-%{pypi_name}
Numba is an open source, NumPy-aware optimizing compiler for Python sponsored by 
It uses the LLVM compiler project to generate machine code from Python syntax.

%package -n python-%{pypi_name}-doc
Summary:        numba documentation
%description -n python-%{pypi_name}-doc
Documentation for numba

%prep
%autosetup -n %{pypi_name}-%{pypi_version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

# %check
# %{__python3} setup.py test

%files -n python3-%{pypi_name}
%license LICENSE LICENSES.third-party
%doc README.rst docs/upcoming_changes/README.rst
%{_bindir}/numba
%{python3_sitearch}/%{pypi_name}
%{python3_sitearch}/%{pypi_name}-%{pypi_version}-py%{python3_version}.egg-info

%changelog
* Tue Jan 30 2024 zhongling.h <zhonglingh@linux.alibaba.com> - 0.58.1-1
- Initial package.
